package com.adealink.frame.room.data

enum class RoomState {
    ROOM_LEAVE,
    ROOM_LEAVING,
    ROOM_JOINING,
    ROOM_IN; //join room成功

    open fun isAtLeast(state: RoomState): Boolean {
        return compareTo(state) >= 0
    }
}

enum class ChannelState {
    CHANNEL_IN,
    CHANNEL_LEAVE
}

class FlowStateInfo(var roomId: Long = 0L) {
    var from: String = ""
    var reason: String = ""
    var onlineInfo: RoomMemberOnlineInfo? = null
    var leaveUI = false
    var isRoomOwner = false
    var token: String? = null

    override fun toString(): String {
        return "FlowStateInfo(roomId=$roomId, from='$from', reason='$reason', onlineInfo=$onlineInfo, leaveUI=$leaveUI, isRoomOwner=$isRoomOwner, token=$token)"
    }
}